Bug 1688973 - Manifest refresh does not import new CDN certificates into Pulp
Summary: Manifest refresh does not import new CDN certificates into Pulp
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
high
medium vote
Target Milestone: Released
Assignee: satellite6-bugs
QA Contact: vijsingh
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-14 19:56 UTC by Mike McCune
Modified: 2019-10-07 17:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:40:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:40:36 UTC

Description Mike McCune 2019-03-14 19:56:27 UTC
1) On a Satellite with an expired set of subscriptions, try and sync repos from the CDN and ensure they fail. You need expired, non-valid subscriptions where you get Permission Denied errors syncing. 

2) Find the x509 certs stored in one of the Pulp repositories, substitute the repo-id of say.. the RHEL7 Server repo

#  curl -k -u admin:************ https://localhost/pulp/api/v2/repositories/33fb2576-e5f7-4946-944d-66e0593271aa/?details=true  | json_reformat 

3) Copy the ssl_client* fields to a text file for future reference

4) Download an updated un-expired manifest with new subscriptions

5) Import into Satellite 6

6) Try to sync repos again, note that you *still* get Permission Denied errors from the CDN.

7) Repeat step (2) and (3) and note that there is still the old expired ssl_certs in the pulp feed ssl certs.

WORKAROUND:

Run this foreman-rake task to refresh the certs out of Candlepin:

# LIFECYCLE_ENVIRONMENT=Library foreman-rake katello:refresh_pulp_repo_details  

I have seen this in customer environments in 6.3 and 6.4

Comment 4 Justin Sherrill 2019-03-26 18:30:15 UTC
This is resolved in 6.5 by some refactoring work that has been done.  Moving to ON_QA.

Comment 5 vijsingh 2019-04-03 11:03:47 UTC
Hello,

I am unable to see the expired subscription on UI(content => Subscriptions) after uploaded manifest(which has expired subscriptions in it) , could you please share your input ?

Comment 6 Mike McCune 2019-04-03 15:18:39 UTC
TESTPLAN:

You don't actually need expired subscriptions to test this, the key to check is that the certificates in Pulp are updated with every manifest refresh as that is the bug.

1) Import subscriptions

2) enable some Red Hat repositories

3) sync them

4) Find the x509 certs stored in one of the Pulp repositories, substitute the repo-id of say.. the RHEL7 Server repo

#  curl -k -u admin:************ https://localhost/pulp/api/v2/repositories/33fb2576-e5f7-4946-944d-66e0593271aa/?details=true  | json_reformat 

5) Copy the ssl_client* fields to a text file for future reference

6) generate a new and updated manifest on the customer portal, download it.

7) import it into the same organization from above

8) repeat step (4), verify that the ssl_client fields are *DIFFERENT* than that from step (5):

#  curl -k -u admin:************ https://localhost/pulp/api/v2/repositories/33fb2576-e5f7-4946-944d-66e0593271aa/?details=true  | json_reformat 

9) verify you can still sync the repositories.

Comment 7 vijsingh 2019-04-05 08:04:04 UTC
ON_QA Verified

@Satellite 6.5.0 Snap 22.0

Observation:
  - Repositories 'ssl_client_key' and 'ssl_client_cert' are getting changed after imported the new manifest(generated a new and updated manifest on the customer portal).
  - Able to sync repositories(already enabled and synced with old manifest) after imported the new manifest.

Comment 13 errata-xmlrpc 2019-05-14 12:40:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.